path_hashing_function <- function(args) {
  if (inherits(args$path, "character")) {
    path <- path.expand(args$path)
    stopifnot(dir.exists(path), file.exists(paste0(path, "/simu_results_0.nc")))
  }
  # use path name and its last modification date as hash

  rlang::hash(c(args, file.info(path)$mtime))
}


.onLoad <- function(libname, pkgname) {
  load_primary_netcdf <<- memoise::memoise(load_primary_netcdf, hash = path_hashing_function)

  load_secondary_netcdf <<- memoise::memoise(load_secondary_netcdf, hash = path_hashing_function)

  get_gas_names <<- memoise::memoise(get_gas_names, hash = path_hashing_function)

  get_aer_names <<- memoise::memoise(get_aer_names, hash = path_hashing_function)
}
